# __gnu_cxx::new_allocator< Type > Class Template Reference

An allocator that uses global new, as per [20.4]. More...

`#include <new_allocator.h>`

List of all members.

## Detailed Description

### template<typename Type>
class __gnu_cxx::new_allocator< Type >

An allocator that uses global new, as per [20.4].

This is precisely the allocator defined in the C++ Standard.

- all allocation calls operator new
- all deallocation calls operator delete

(See allocators info for more.)

Definition at line 47 of file new_allocator.h.

The documentation for this class was generated from the following file:

- new_allocator.h